id: https://w3id.org/gaia-x/ONTOLOGY_VERSION#physical-connectivity-service-offering
name: physical-connectivity-service-offering
prefixes:
  gx: https://w3id.org/gaia-x/ONTOLOGY_VERSION#
  linkml: https://w3id.org/linkml/
imports:
  - linkml:types
  - connectivity-service-offering
default_prefix: gx
default_range: string

classes:
  PhysicalConnectivityServiceOffering:
    title: 'Physical Connectivity Service Offering'
    is_a: ConnectivityServiceOffering
    description: 'TBD'
    attributes:
      circuitType:
        title: 'circuit type'
        description: 'Type of access medium: wired medium access or wireless medium access.'
        range: string
        required: true
      interfaceType:
        title: 'interface type'
        description: 'For the chosen circuit type, one should know the interface type in case the interoperability is required.'
        range: string
        required: true